<?php

namespace App\Console\Commands\SmartPush;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class UnPaidUserSmallActivity extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:UnPaidUserSmallActivity';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '未支付新用户9.9充值活动';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->unPaidUserActivity();
    }

    public function unPaidUserActivity(){
    	CustomMsgService::SmartPush('unpaid_send_activity');
    }
}
